PrimitiveByteArrayBlobType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class PrimitiveByteArrayBlobType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.AbstractLobType
              org.hibernate.type.ByteArrayBlobType
                  org.hibernate.type.PrimitiveByteArrayBlobType

All Implemented Interfaces:
  Serializable, Type

Deprecated. replaced by `MaterializedBlobType`

    @Deprecated
    public class PrimitiveByteArrayBlobType

extends ByteArrayBlobType

Map a byte[] to a Blob

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`PrimitiveByteArrayBlobType()` Deprecated.

Method Summary
`Class` | `getReturnedClass()` Deprecated. The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods.
`protected byte[]` | `unWrap(Object bytes)` Deprecated.
`protected Object` | `wrap(byte[] bytes)` Deprecated.

Methods inherited from class org.hibernate.type.ByteArrayBlobType
`deepCopy, fromXMLNode, get, getHashCode, isEqual, isMutable, replace, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString`

Methods inherited from class org.hibernate.type.AbstractLobType
`defaultSizes, dictatedSizes, getColumnSpan, getHashCode, getName, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveByteArrayBlobType

    public PrimitiveByteArrayBlobType()

  Deprecated.

Method Detail

### getReturnedClass

    public Class getReturnedClass()

  Deprecated.
  Description copied from interface: `Type`
  The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods. This is used to establish the class of an array of this type.

  Specified by:
    `getReturnedClass` in interface `Type`
  Overrides:
    `getReturnedClass` in class `ByteArrayBlobType`
  Returns:
    The java type class handled by this type.

### wrap

    protected Object wrap(byte[] bytes)

  Deprecated.
  Overrides:
    `wrap` in class `ByteArrayBlobType`

### unWrap

    protected byte[] unWrap(Object bytes)

  Deprecated.
  Overrides:
    `unWrap` in class `ByteArrayBlobType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.